Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 652476 - x11-drivers/nvidia-drivers-390.48 with >sys-kernel/gentoo-sources-4.16 - nvidia: Unknown symbol swiotlb_map_sg_attrs (err 0)
Summary: x11-drivers/nvidia-drivers-390.48 with >sys-kernel/gentoo-sources-4.16 - nvid...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Jeroen Roovers
URL: https://devtalk.nvidia.com/default/to...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-04 23:50 UTC by Peter Levine
Modified: 2018-06-10 18:04 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nvidia-drivers-390.48-unknown_symbol_swiotlb.patch (nvidia-drivers-390.48-unknown_symbol_swiotlb.patch,1.50 KB, patch)
2018-04-04 23:50 UTC, Peter Levine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Levine 2018-04-04 23:50:26 UTC
Created attachment 526578 [details, diff]
nvidia-drivers-390.48-unknown_symbol_swiotlb.patch

Building  x11-drivers/nvidia-drivers with the linux kernel 4.16.0 results in module load failure with dmesg:
> nvidia: Unknown symbol swiotlb_map_sg_attrs (err 0)

Upstream issue: https://devtalk.nvidia.com/default/topic/1030082/linux/kernel-4-16-rc1-breaks-latest-drivers-unknown-symbol-swiotlb_map_sg_attrs-/ and https://bugzilla.kernel.org/show_bug.cgi?id=198997.

A workaround patch was taken from https://bbs.archlinux.org/viewtopic.php?id=235072
Comment 1 Dmitry Grigoriev 2018-04-09 03:21:49 UTC
I confirm both error and that patch works for gentoo-sources-4.16.1 on amd64.
Comment 2 Chris Faulkner 2018-04-10 13:46:27 UTC
Can confirm patch works on 4.16.1 with nvidia-390.48
Thank you
Comment 3 Manfred Knick 2018-04-10 15:19:12 UTC
.   +1

Thanks!
Comment 4 Jeroen Roovers gentoo-dev 2018-04-11 16:53:40 UTC
Please don't do that.
Comment 5 Harris Landgarten 2018-04-11 17:30:29 UTC
nvidia has new beta driver 396.16 which fixes this bug. Please get it into the tree if appropriate
Comment 6 Christian Becker 2018-04-14 11:27:28 UTC
Using (In reply to Harris Landgarten from comment #5)
> nvidia has new beta driver 396.16 which fixes this bug. Please get it into
> the tree if appropriate

For me using this driver with Kernel < 4.16 did not work. Changed back to the previous nvidia-drivers and it worked again.
Comment 7 Mark Nowiasz 2018-04-29 11:03:32 UTC
(In reply to Harris Landgarten from comment #5)
> nvidia has new beta driver 396.16 which fixes this bug. Please get it into
> the tree if appropriate

Unfortunately this is not an option for me - since 396.16 has dropped support for my graphics card. The 390-legacy drivers need to be fixed.
Comment 8 Manfred Knick 2018-04-29 12:02:44 UTC
(In reply to Mark Nowiasz from comment #7)

> since 396.16 has dropped
> support for my graphics card.
Could you be so kind to specify? Thanks!
Comment 10 Mark Nowiasz 2018-04-29 12:17:29 UTC
(In reply to Manfred Knick from comment #8)
> (In reply to Mark Nowiasz from comment #7)
> 
> > since 396.16 has dropped
> > support for my graphics card.
> Could you be so kind to specify? Thanks!

Well, you already posted the links. Since I've got a Fermi GPU (GT 520), there's currently no way to use 4.16 - the legacy drivers (390.x) don't support it (yet?), the current drivers (396) don't support Fermi.

Basically it comes down to the following options:

1.) Hope that nvidia fixes this in the legacy branch (390.x)
2.) Buy a new card
3.) Be stuck on kernel 4.15.

I myself have sworn to myself to never, ever buy a Nvidia card again - after being treated in such a cavalier way. The GPU is my no means obsolete (just about 3 years old or so), so if I elect the second option I won't be an Nvidia one.
Comment 11 Jeroen Roovers gentoo-dev 2018-04-29 12:24:01 UTC
(In reply to Mark Nowiasz from comment #10)
> 1.) Hope that nvidia fixes this in the legacy branch (390.x)

This tends to happen *after* a major kernel release because of a thing called the arrow of time. Please exercise some patience.
Comment 12 MZ 2018-05-17 17:52:24 UTC
https://devtalk.nvidia.com/default/topic/1035485/b/t/post/5260307/#5260307

Linux, Solaris, and FreeBSD driver 390.59 (long-lived branch release)

 Added support for the following GPUs:

    GeForce GTX 1050 with Max-Q Design
    Tesla V100-FHHL-16GB
    Quadro P3200
    Quadro P4200


Added support for X.Org xserver ABI 24 (xorg-server 1.20).
Comment 13 Florian Philipp 2018-06-10 18:04:36 UTC
Patch confirmed to work with nvidia-drivers-384.130 (required for Kepler) and gentoo-sources-4.17.0. Thanks!